| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_adv_modes_config_t Struct Reference
Advertising Module

Options for the different advertisement modes. More...

`#include <ble_advertising.h>`

## Data Fields
bool | ble_adv_whitelist_enabled
bool | ble_adv_directed_enabled
bool | ble_adv_directed_slow_enabled
bool | ble_adv_fast_enabled
bool | ble_adv_slow_enabled
uint32_t | ble_adv_directed_slow_interval
uint32_t | ble_adv_directed_slow_timeout
uint32_t | ble_adv_fast_interval
uint32_t | ble_adv_fast_timeout
uint32_t | ble_adv_slow_interval
uint32_t | ble_adv_slow_timeout

## Detailed Description

Options for the different advertisement modes.

This structure is used to enable or disable advertising modes and to configure time-out periods and advertising intervals.

## Field Documentation

bool ble_adv_modes_config_t::ble_adv_directed_enabled

Enable or disable direct advertising mode.

bool ble_adv_modes_config_t::ble_adv_directed_slow_enabled

Enable or disable direct advertising mode.

uint32_t ble_adv_modes_config_t::ble_adv_directed_slow_interval

Advertising interval for directed advertising.

uint32_t ble_adv_modes_config_t::ble_adv_directed_slow_timeout

Time-out (number of tries) for direct advertising.

bool ble_adv_modes_config_t::ble_adv_fast_enabled

Enable or disable fast advertising mode.

uint32_t ble_adv_modes_config_t::ble_adv_fast_interval

Advertising interval for fast advertising.

uint32_t ble_adv_modes_config_t::ble_adv_fast_timeout

Time-out (in seconds) for fast advertising.

bool ble_adv_modes_config_t::ble_adv_slow_enabled

Enable or disable slow advertising mode.

uint32_t ble_adv_modes_config_t::ble_adv_slow_interval

Advertising interval for slow advertising.

uint32_t ble_adv_modes_config_t::ble_adv_slow_timeout

Time-out (in seconds) for slow advertising.

bool ble_adv_modes_config_t::ble_adv_whitelist_enabled

Enable or disable use of the whitelist.